<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/one-time-deductions_black.png">One Time Deductions</h2>
<div class="formFieldsBlock">
    <div class="col-sm-12">
        <form [formGroup]="oneTimeForm">
            <mat-card class="row" *ngFor="let otDeductions of otDeductionsArr.controls; let i = index" [formGroup]="otDeductions">
                <span class="s-no">{{i+1}}</span>
                <div class="col-sm-6">
                    <mat-form-field appearance="standard">
                        <mat-label>Deduction Type</mat-label>
                        <mat-select formControlName="deductionType">
                            <mat-option *ngFor="let type of deductionTypeList;let i=index;" [value]="type.code">{{type.code}}</mat-option>
                        </mat-select>
                        <mat-error *ngIf="otDeductions.controls['deductionType'].errors?.required &&
                        otDeductions.controls['deductionType'].touched">
                            Please Select Deduction Type.
                        </mat-error>
                    </mat-form-field>
                </div>

                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Date</mat-label>
                        <input matInput (click)="picker1.open()" [matDatepicker]="picker1" formControlName="dateVal" required>
                        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                        <mat-datepicker #picker1></mat-datepicker>
                        <mat-error *ngIf="otDeductions.controls['dateVal'].errors?.required &&
                        otDeductions.controls['dateVal'].touched">
                            Please Select Date.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Amount</mat-label>
                        <input matInput type="number" formControlName="amount" required autocomplete="off" />
                        <mat-error *ngIf="otDeductions.controls['amount'].errors?.required &&
                        otDeductions.controls['amount'].touched">
                            Please Enter Amount.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-6">
                    <mat-form-field class="email-field" appearance="standard">
                        <mat-label>Reason</mat-label>
                        <input matInput maxlength="150" formControlName="reason" required />
                        <mat-error *ngIf="otDeductions.controls['reason'].errors?.required &&
                        otDeductions.controls['reason'].touched">
                            Please Enter Reason.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="remove-action" *ngIf="!pkNumber">
                    <button type="reset" mat-mini-fab class="add-remove-item remove" (click)="removeItem(i)">-</button>
                </div>
            </mat-card>
            <div class="add-action" *ngIf="!pkNumber">
                <span><button mat-mini-fab (click)="addItem()">+</button></span> <span class="text-btn">Add</span>
            </div>

            <br>
            <div class="btn-grp">
                <button mat-raised-button *ngIf="pkNumber" class="submit-btn save-btn" [disabled]="!pkNumber" (click)="onCancel()">Reset</button>
                <button mat-raised-button [disabled]="!oneTimeForm.valid" class="submit-btn" (click)="onSubmit('save')">Save</button>
                <button mat-raised-button [disabled]="!oneTimeForm.valid" class="submit-btn" (click)="onSubmit('submit')"> Submit</button>
            </div>

        </form>
    </div>
</div>